# draugr.torch_utilities.sessions.device_sessions.TorchCudaSession

class draugr.torch_utilities.sessions.device_sessions.TorchCudaSession(model: Optional [Module] = None, no_side_effect: bool = True)

  Bases: `AlsoDecorator`

  Sets global torch devices to cuda if available

  __init__(model: Optional [Module] = None, no_side_effect: bool = True)

  Methods

  `__init__`([model, no_side_effect]) |